#!/usr/bin/env python
# -*- coding: utf-8  -*-
################################################################################
#
#  Rattail -- Retail Software Framework
#  Copyright © 2010-2012 Lance Edgar
#
#  This file is part of Rattail.
#
#  Rattail is free software: you can redistribute it and/or modify it under the
#  terms of the GNU Affero General Public License as published by the Free
#  Software Foundation, either version 3 of the License, or (at your option)
#  any later version.
#
#  Rattail is distributed in the hope that it will be useful, but WITHOUT ANY
#  WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
#  FOR A PARTICULAR PURPOSE.  See the GNU Affero General Public License for
#  more details.
#
#  You should have received a copy of the GNU Affero General Public License
#  along with Rattail.  If not, see <http://www.gnu.org/licenses/>.
#
################################################################################

import os.path
import shutil

from fabric.api import *


execfile(os.path.join(os.path.dirname(__file__), 'rattail', 'pyramid', '_version.py'))


@task
def release():
    """
    Release a new version of 'rattail.pyramid'.
    """

    shutil.rmtree('rattail.pyramid.egg-info')
    local('python setup.py sdist --formats=gztar register upload')

    filename = 'rattail.pyramid-{0}.tar.gz'.format(__version__)

    put(os.path.join('dist', filename), '/srv/pypi/{0}'.format(filename))
    with cd('/srv/pypi'):
        run('rm --recursive --force simple')
        run('compoze index')
